<md-dialog class="warning-modal styled-modal" aria-label="Warning" zafira-background-theme="modal" ng-form name="warning_info">
    <md-toolbar class="modal-header">
        <div class="md-toolbar-tools modal-header__wrapper">
            <h2 class="modal-header__title _warning">
                <md-icon class="material-icons icon">warning</md-icon>
                {{$ctrl.title}}
            </h2>
            <span flex></span>
            <md-button id="close" class="md-icon-button _default-md-style" ng-click="$ctrl.closeModal()">
                <md-icon aria-label="Close dialog">close</md-icon>
            </md-button>
        </div>
    </md-toolbar>
    <md-dialog-content layout="column" class="md-dialog-content modal-content" ng-cloak>
        <div class="modal-content__wrapper">
            <div class="modal-content__message _warning" ng-if="$ctrl.warningMessage">{{$ctrl.warningMessage}}</div>
            <div class="modal-content__message" ng-if="$ctrl.message">{{$ctrl.message}}</div>
        </div>
    </md-dialog-content>
    <md-dialog-actions layout="row" class="styled-modal__controls-wrapper">
        <md-button class="md-raised"
            ng-click="$ctrl.closeModal()">
            <span>cancel</span>
        </md-button>
        <md-button class="md-raised md-warn"
            ng-click="$ctrl.hideModal()">
            <span>{{$ctrl.actionText}}</span>
        </md-button>
    </md-dialog-actions>
</md-dialog>
